# Interface RequestRecord

All Known Implementing Classes:
  `ByteBufferRequestRecord, SimpleRequestRecord`

public interface RequestRecord

## Method Summary

Modifier and Type
Method
Description
`static RequestRecord`
`fromBytes(byte[] bytes)`
`static RequestRecord`
`fromBytes(ByteBuffer buffer)`
`static RequestRecord`
`fromRecord(Record record)`
`int`
`limit()`
`byte[]`
`readBytes()`
`<T extends Record>
T`
`readRecord(Supplier<T> clazz)`

## Method Details

### fromBytes

static RequestRecord fromBytes(ByteBuffer buffer)

### fromBytes

static RequestRecord fromBytes(byte[] bytes)

### fromRecord

static RequestRecord fromRecord(Record record)

### readRecord

<T extends Record> T readRecord(Supplier<T> clazz) throws IOException

Throws:
  `IOException`

### readBytes

byte[] readBytes()

### limit

int limit()